﻿using System;
using DeukBot4.MessageHandlers.CommandHandler.RequestStructure;

namespace DeukBot4.MessageHandlers
{
    [AttributeUsage(AttributeTargets.Method, AllowMultiple = true)]
    public class CommandParametersAttribute : Attribute
    {
        public ParameterMatcher.ParameterType[] Types { get; }

        public CommandParametersAttribute(ParameterMatcher.ParameterType[] types)
        {
            Types = types;
        }
    }
}