﻿using System;
using System.Threading.Tasks;
using Discord.WebSocket;

namespace DeukBot4.MessageHandlers
{
    public static class MainHandler
    {
        public static async Task HandleMessage(SocketMessage message)
        {
            if (message.Author.Id == Program.Client.CurrentUser.Id)
            {
                return;
            }
            try
            {
                await CommandHandler.CommandHandler.HandleMessage(message);
            }
            catch (Exception e)
            {
                await Logger.LogError(e.ToString());
            }
        }
    }
}